Skip to main content

List Endpoints

GET /v1/webhooks/endpoints

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"type": "array",
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"user_id": {
"type": "integer",
"title": "User Id"
},
"url": {
"type": "string",
"title": "Url"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Description"
},
"status": {
"type": "string",
"title": "Status"
},
"enabled": {
"type": "boolean",
"title": "Enabled"
},
"subscribed_event_patterns": {
"items": {
"type": "string"
},
"type": "array",
"title": "Subscribed Event Patterns"
},
"signing_version": {
"type": "string",
"title": "Signing Version"
},
"secret_hint": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Secret Hint"
},
"timeout_seconds": {
"type": "integer",
"title": "Timeout Seconds"
},
"max_retries": {
"type": "integer",
"title": "Max Retries"
},
"consecutive_failures": {
"type": "integer",
"title": "Consecutive Failures"
},
"last_verified_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Last Verified At"
},
"last_delivery_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Last Delivery At"
},
"last_error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Last Error"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"updated_at": {
"type": "string",
"format": "date-time",
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"user_id",
"url",
"status",
"enabled",
"signing_version",
"timeout_seconds",
"max_retries",
"consecutive_failures",
"created_at",
"updated_at"
],
"title": "WebhookEndpointResponse"
},
"title": "Response List Endpoints V1 Webhooks Endpoints Get"
}

Field details:

FieldTypeRequiredDescriptionConstraints
[]objectYes
[].idstringYes
[].user_idintegerYes
[].urlstringYes
[].descriptionstring | nullNonullable
[].statusstringYes
[].enabledbooleanYes
[].subscribed_event_patternsarray<string>No
[].subscribed_event_patterns[]stringNo
[].signing_versionstringYes
[].secret_hintstring | nullNonullable
[].timeout_secondsintegerYes
[].max_retriesintegerYes
[].consecutive_failuresintegerYes
[].last_verified_atstring | nullNoformat=date-time, nullable
[].last_delivery_atstring | nullNoformat=date-time, nullable
[].last_errorstring | nullNonullable
[].created_atstringYesformat=date-time
[].updated_atstringYesformat=date-time

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo